using System.ComponentModel;
using Hotline.Exams.Base;
using SqlSugar;

namespace Hotline.Exams.Trains
{
    /// <summary>
    /// 培训模版
    /// </summary>
    [Description("培训模版")]
    public class ExamTrainTemplate:ExamBusinessEntity
    {
        /// <summary>
        /// 模版标题
        /// </summary>
        [SugarColumn(ColumnDescription = "模版标题")]
        [Description("模版标题")]
        public string Name { get; set; }

        /// <summary>
        /// 模版编码
        /// </summary>
        [SugarColumn(ColumnDescription = "模版编码")]
        [Description("模版编码")]
        public string Code { get; set; }

        /// <summary>
        /// 是否包含习题
        /// </summary>
        [SugarColumn(ColumnDescription = "模版标题")]
        [Description("模版标题")]
        public bool IsContainsPractice { get; set; }

        [Navigate(NavigateType.OneToMany,nameof(ExamTrainKnowladge.TrainTemplateId))]
        public List<ExamTrainKnowladge> TrainKnowladges { get; set; }

        [Navigate(NavigateType.OneToMany, nameof(ExamTrainPractice.TrainTemplateId))]
        public List<ExamTrainPractice> TrainPractices { get; set; }
    }
}
